__gnu_debug::_BeforeBeginHelper< _Sequence > Struct Template Reference

## Public Types

typedef _It::iterator_type | _BaseIt
typedef _Sequence::const_iterator | _It

## Static Public Member Functions

static bool | _S_Is (_BaseIt, const _Sequence *)
static bool | _S_Is_Beginnest (_BaseIt __it, const _Sequence *__seq)

## Detailed Description

### template<typename _Sequence>
struct __gnu_debug::_BeforeBeginHelper< _Sequence >

Helper struct to deal with sequence offering a before_begin iterator.

Definition at line 45 of file safe_iterator.h.

The documentation for this struct was generated from the following file:

- safe_iterator.h